Bug 844520 - CVE-2012-3442 Django: 1.3.1 and 1.4.0 Cross-site scripting in authentication views [epel-all]
Summary: CVE-2012-3442 Django: 1.3.1 and 1.4.0 Cross-site scripting in authentication ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Django
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-3442
TreeView+ depends on / blocked
 
Reported: 2012-07-31 01:44 UTC by Kurt Seifried
Modified: 2013-09-05 07:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-05 07:11:16 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2012-07-31 01:44:44 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=844518

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-07-31 09:54:04 UTC
Django-1.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Django-1.3.2-1.el6

Comment 2 Fedora Update System 2012-07-31 16:58:57 UTC
Package Django-1.3.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing Django-1.3.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6559/Django-1.3.2-1.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-08-01 17:11:29 UTC
Django-1.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Django-1.4.1-1.fc17

Comment 4 Fedora Update System 2012-08-02 19:24:22 UTC
Django-1.1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/Django-1.1.4-2.el5

Comment 5 Fedora Update System 2012-08-21 18:34:45 UTC
Django-1.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Toshio Ernie Kuratomi 2013-09-04 16:55:23 UTC
patches noticed that this was still in the testing repo for EL5:

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6608/Django-1.1.4-2.el5

I found that Django had been blocked from the EPEL-5 repository:
https://fedorahosted.org/rel-eng/ticket/5627

so that update request should probably just be removed.

Comment 7 Matthias Runge 2013-09-05 07:11:16 UTC
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6608/Django-1.1.4-2.el5
removed. 
Django-1.1 etc. is deprecated.


Note You need to log in before you can comment on or make changes to this bug.